.sideheader {
    height: 100%;
    width: 100%;
    width: 65px;
    display: flex;
    transition: var(--default-transition);
    flex-direction: column;

    .menu_btn {
        border-bottom: 1px solid #474848;
        height: 49px;
        position: relative;
        a {
            width: 65px;
            height: 100%;
            position: relative;
            float: right;
            i{
                width: 26px;
                position: absolute;
                right: 20px;
                top: 25px;
                height: 2px;
                background: #a0a0c2;
            }
            i:before,
            i:after {
                content: "";
                position: absolute;
                right: 0;
                top: -8px;
                width: 40%;
                height: 2px;
                background: inherit;
            }
            i:after {
                right: auto;
                left: 0;
                top: auto;
                bottom: -8px;
            }
}
    }

    .menu_list {
        flex: auto;
        overflow: auto;
        padding: 12px 10px 0;
        ul li {
            a{
                display: flex;
                align-items: center;
                color: #acb1c1;
                font-size: 12px;
                padding: 10px 10px;
                font-weight: 400;
                transition: var(--default-transition);
                line-height: 1;        
                i{
                    min-width: 25px;
                    text-align: center;
                    font-size: 14px;
                    transition: var(--default-transition);
                }

                span{
                    opacity: 0;
                    visibility: hidden;
                    white-space: nowrap;
                    transition: var(--default-transition);
                }
            }
            ul{
                padding:5px 0 15px 15px;
            }
        }
        ul li a:hover{color: #FFF}

    }
}
.active {
    width: 255px;
    .menu_list{
        ul li a{
            i{
            min-width: 0;
            margin-right: 8px;
            }
            span{
                opacity: 1;
                visibility: visible;
            }
        } 
    }
}